Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Protected Member Functions
Argus::CameraDevice Class Reference

`#include <CameraDevice.h>`

Inheritance diagram for Argus::CameraDevice:

List of all members.

## Protected Member Functions
| ~CameraDevice ()
Protected Member Functions inherited from Argus::InterfaceProvider
| ~InterfaceProvider ()

## Additional Inherited Members
Public Member Functions inherited from Argus::InterfaceProvider
virtual Interface * | getInterface (const InterfaceID &interfaceId)=0
| Acquire the interface specified by `interfaceId`.

## Detailed Description

Definition at line 54 of file CameraDevice.h.

## Constructor & Destructor Documentation

Argus::CameraDevice::~CameraDevice | ( |  | ) |
| inline protected

Definition at line 57 of file CameraDevice.h.

The documentation for this class was generated from the following file:

- include/Argus/CameraDevice.h